curl --request GET \
--url https://partner-api.ochy-prod.com/analysis/{analysis_id}/results/raw_data \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/analysis/{analysis_id}/results/raw_data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/analysis/{analysis_id}/results/raw_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"video_input_information": {
"duration": 5.6,
"fps": 30,
"height": 1080,
"width": 1920
},
"frames": {
"1": {
"timestamp": -26.667,
"positions": {
"head_top_pos": {
"x": 283.312,
"y": 478.25
},
"nose_pos": {
"x": 283.312,
"y": 468.438
},
"neck_pos": {
"x": 272.104,
"y": 468.438
},
"left_shoulder_pos": {
"x": 283.312,
"y": 463.531
},
"left_elbow_pos": {
"x": 277.708,
"y": 448.812
},
"left_wrist_pos": {
"x": 277.708,
"y": 439
},
"left_hip_pos": {
"x": 272.104,
"y": 434.094
},
"left_knee_pos": {
"x": 283.312,
"y": 414.469
},
"left_ankle_pos": {
"x": 277.708,
"y": 394.844
},
"left_heel_pos": {
"x": 283.312,
"y": 394.844
},
"left_foot_pos": {
"x": 277.708,
"y": 385.031
},
"right_shoulder_pos": {
"x": 260.896,
"y": 463.531
},
"right_elbow_pos": {
"x": 249.687,
"y": 448.812
},
"right_wrist_pos": {
"x": 266.5,
"y": 443.906
},
"right_hip_pos": {
"x": 260.896,
"y": 434.094
},
"right_knee_pos": {
"x": 260.896,
"y": 409.563
},
"right_ankle_pos": {
"x": 255.292,
"y": 394.844
},
"right_heel_pos": {
"x": 249.687,
"y": 399.75
},
"right_foot_pos": {
"x": 255.292,
"y": 389.938
}
},
"human_bbox": {
"min_x": 132,
"min_y": 484,
"max_x": 401,
"max_y": 798
}
}
}
}Get raw data
Retrieve frame-by-frame position data for a completed analysis.
Only available when the analysis status is success.
Side view analysis returns positions for: head top, nose, eyes, ears, shoulders, elbows, wrists, hips, knees, ankles, heels, feet, and neck, plus video metadata and human bounding box per frame.
Back view analysis returns positions for: C7 (spine), hips (LHIP/RHIP), PSIS landmarks, knees, calves, ankles, heels (LBHEEL/RBHEEL, LTHEEL/RTHEEL), and metatarsals (LFM1/LFM5, RFM1/RFM5), plus video metadata and human detection confidence scores per joint.
curl --request GET \
--url https://partner-api.ochy-prod.com/analysis/{analysis_id}/results/raw_data \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/analysis/{analysis_id}/results/raw_data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/analysis/{analysis_id}/results/raw_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"video_input_information": {
"duration": 5.6,
"fps": 30,
"height": 1080,
"width": 1920
},
"frames": {
"1": {
"timestamp": -26.667,
"positions": {
"head_top_pos": {
"x": 283.312,
"y": 478.25
},
"nose_pos": {
"x": 283.312,
"y": 468.438
},
"neck_pos": {
"x": 272.104,
"y": 468.438
},
"left_shoulder_pos": {
"x": 283.312,
"y": 463.531
},
"left_elbow_pos": {
"x": 277.708,
"y": 448.812
},
"left_wrist_pos": {
"x": 277.708,
"y": 439
},
"left_hip_pos": {
"x": 272.104,
"y": 434.094
},
"left_knee_pos": {
"x": 283.312,
"y": 414.469
},
"left_ankle_pos": {
"x": 277.708,
"y": 394.844
},
"left_heel_pos": {
"x": 283.312,
"y": 394.844
},
"left_foot_pos": {
"x": 277.708,
"y": 385.031
},
"right_shoulder_pos": {
"x": 260.896,
"y": 463.531
},
"right_elbow_pos": {
"x": 249.687,
"y": 448.812
},
"right_wrist_pos": {
"x": 266.5,
"y": 443.906
},
"right_hip_pos": {
"x": 260.896,
"y": 434.094
},
"right_knee_pos": {
"x": 260.896,
"y": 409.563
},
"right_ankle_pos": {
"x": 255.292,
"y": 394.844
},
"right_heel_pos": {
"x": 249.687,
"y": 399.75
},
"right_foot_pos": {
"x": 255.292,
"y": 389.938
}
},
"human_bbox": {
"min_x": 132,
"min_y": 484,
"max_x": 401,
"max_y": 798
}
}
}
}Authorizations
Recommended. Pass your API key as a Bearer token in the Authorization header: Authorization: Bearer YOUR_API_KEY.
Path Parameters
Analysis ID returned by the start endpoint.
Response
Raw frame-by-frame data.
Shape varies by analysis type. See description for details.